import Items from "/src/components/Accordations/Items"
import Header from "/src/components/AccordationHeading"
import { data } from "/src/utils/Accordations";
import { ItemsProps } from "../components/Accordations/Items";
import { useState } from "react";
export interface GenData {
    heading: string;
    content: string;
    isOpen: boolean;
}
const Accordation = () => {
    const [Data, setData] = useState<GenData[]>(data.map((item) => ({
        heading: item.heading,
        content: item.content,
        isOpen: false,
    })))
    const handleChange = (value: GenData) => {
        console.log(value)
        setData((prev) => prev.map((item) => {
            if (item.heading === value.heading) {
                return {
                    ...item,
                    isOpen: !item.isOpen,
                }
            }
            return {
                ...item,
                isOpen: false
            }
        }))
    }
    return (
        <div
            className="px-[25px] py-[10px] md:max-w-[1200px] md:mx-auto md:py-14 md:px-8">
            <Header heading={"frequently asked"} subheading={"questions (faq)"} />
            <div className="my-8 md:my-14">
                {
                    Data.map((item: GenData, index: number) => {
                        return <Items key={index} {...item} handleClick={handleChange} />
                    })
                }

            </div>
        </div>
    )
}

export default Accordation